%define upstream_name    Pegex
%define upstream_version 0.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Pegex Regex Atoms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(XXX) >= 0.350.0
BuildRequires: perl(YAML::PP) >= 0.19.0
BuildArch:  noarch

%description
Pegex is a Acmeist parser framework. It allows you to easily create parsers
that will work equivalently in lots of programming languages!

Pegex gets it name by combining Parsing Expression Grammars (PEG), with
Regular Expressions (regex). That's actually what Pegex does.

PEG is the cool new way to elegantly specify recursive descent grammars.
The Perl 6 language is defined in terms of a self modifying PEG language
called *Perl 6 Rules*. Regular expressions are familiar to programmers of
most modern programming languages. Pegex defines a simple PEG syntax, where
all the terminals are regular expressions. This means that Pegex can be
quite fast and powerful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.750.0-4.mga10
+ Revision: 2209267
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.750.0-3.mga9
+ Revision: 1819676
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.750.0-2.mga8
+ Revision: 1544129
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 0.750.0-1.mga8
+ Revision: 1520841
- update to 0.75

* Fri Jan 24 2020 tv <tv> 0.740.0-1.mga8
+ Revision: 1482593
- update to 0.74

* Mon Jan 06 2020 tv <tv> 0.720.0-1.mga8
+ Revision: 1476904
- update to 0.72
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Nov 12 2018 tv <tv> 0.700.0-1.mga7
+ Revision: 1329628
- update to 0.70

* Thu Sep 20 2018 umeabot <umeabot> 0.670.0-2.mga7
+ Revision: 1285709
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 0.670.0-1.mga7
+ Revision: 1256562
- update to 0.67

* Thu Aug 30 2018 tv <tv> 0.650.0-1.mga7
+ Revision: 1255739
- update to 0.65

* Tue Oct 03 2017 tv <tv> 0.640.0-2.mga7
+ Revision: 1166145
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.640.0-1.mga7
+ Revision: 1155613
- update to 0.64

* Sat Jul 22 2017 shlomif <shlomif> 0.630.0-1.mga7
+ Revision: 1128900
- update to 0.63

* Sun Jun 19 2016 pterjan <pterjan> 0.600.0-3.mga6
+ Revision: 1031947
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 965733
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.600.0-1.mga6
+ Revision: 837026
- update to 0.60

* Tue Dec 09 2014 sander85 <sander85> 0.570.0-1.mga5
+ Revision: 802459
- update to 0.57
+ shlomif <shlomif>
- update to 0.55

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-3.mga5
+ Revision: 739930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-2.mga5
+ Revision: 685920
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.340.0-1.mga5
+ Revision: 640013
- update to 0.34

* Tue May 20 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 624406
- update to 0.30

* Mon Feb 10 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 588595
- update to 0.25

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 514046
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 371633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 shlomif <shlomif> 0.210.0-1.mga3
+ Revision: 316767
- update to 0.21

* Fri Aug 31 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 286392
- update to 0.20

* Mon Jan 30 2012 shlomif <shlomif> 0.190.0-1.mga2
+ Revision: 203447
- Correct some typos reported by rpmlint
- imported package perl-Pegex


* Mon Jan 30 2012 cpan2dist 0.19-1mga
- initial mageia release, generated with cpan2dist
